#!/bin/bash
# IBM_PROLOG_BEGIN_TAG 
# This is an automatically generated prolog. 
#  
#  
#  
# Licensed Materials - Property of IBM 
#  
# (C) COPYRIGHT International Business Machines Corp. 2014 
# All Rights Reserved 
#  
# US Government Users Restricted Rights - Use, duplication or 
# disclosure restricted by GSA ADP Schedule Contract with IBM Corp. 
#  
# IBM_PROLOG_END_TAG 
#-------------------------------------------------------------
# IBM Confidential
# OCO Source Materials
# (C) Copyright IBM Corp. 2012, 2013
# The source code for this program is not published or
# otherwise divested of its trade secrets, irrespective of
# what has been deposited with the U.S. Copyright Office.
#-------------------------------------------------------------

# callback definition ----------------------------------------
id="stop-connector-daemon"
event="shutdown"
nodes=ALL
parms="%myNode"

# print definition -------------------------------------------
if [ "$1" = "-d" ]; then
  echo "def:$id:$event:$nodes:$parms"
  exit
fi

# callback code ----------------------------------------------
MMPATH="/usr/lpp/mmfs/bin"

# common functions
function info {
  echo -e `date`": $(basename $0 .sh): OK - $1"
}

function error {
  echo -e `date`": $(basename $0 .sh): FAILED - $1" >&2
}

function check_success {
  if [ $? != 0 ]; then
    error "$1"
    exit 1
  fi
  info "$1"
}

function check_value {
  if [ -z "$1" ] || [ "$1" == "UNDEFINED" ]; then
    error "$2"
    exit 1
  fi
  info "$2"
}

# stop connector daemon on this node
gcpid=$(pgrep -fx /var/mmfs/etc/gpfs-connector-daemon)
if [ -z "$gcpid" ]
then
  echo `date`": No gpfs-connector-daemon found running during shutdown."
else
  kill -9 $gcpid
  check_success "stopping gpfs-connector-daemon"
fi
